version: '2'

services:
  redis:
    image: redis
    restart: always
    ports:
      - "6379:6379"
  db:
    image: mysql:5.7
    restart: always
    environment:
      MYSQL_DATABASE: 'interview'
      # So you don't have to use root, but you can if you like
      MYSQL_USER: 'user'
      # You can use whatever password you like
      MYSQL_PASSWORD: 'password'
      # Password for root access
      MYSQL_ROOT_PASSWORD: 'password'
    ports:
      # <Port exposed> : < MySQL Port running inside container>
      - '3306:3306'
    expose:
      # Opens port 3306 on the container
      - '3306'
  www:
    image: cklin/interview-backend:1.0.0
    stdin_open: true
    tty: true
    command: sh -c "
      sleep 30 &&
      interview"
    depends_on:
      - "db"
      - "redis"
    environment:
      DBUSER: 'user'
      DBPASS: 'password'
      DBHost: 'db'
      REDIS_HOSTNAME: 'redis'
      REDIS_PORT: '6379'
    ports:
      - '8080:8080'

volumes:
  my-db:
  redis-data:
    driver: local
